> For the complete documentation index, see [llms.txt](https://docs.iexexchanger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iexexchanger.com/guide/copy-of-iexexchanger-api/valyuty-i-napravleniya/spisok-prinimaemykh-valyut.md).

# Список принимаемых валют

<mark style="color:green;">`GET`</mark> **`/currencies-list`**

Получение списка всех активных валют

**Схема ответа**

| Параметр       | Тип поля | Описание                |
| -------------- | -------- | ----------------------- |
| **data**       | dict     | Информация о валютах    |
| id             | int      | ID Валюты               |
| type           | string   | Тип массива             |
| **attributes** | dict     | Параметры валюты        |
| name           | string   | Название валюты         |
| currency\_type | string   | Фильтры валюты          |
| payment\_name  | string   | Название ПС             |
| iso\_code      | string   | Код валюты              |
| letter\_cod    | string   | Общепринятый код валюты |
| decimal        | int      | Знаки, после запятой    |

**Пример запроса**

{% tabs %}
{% tab title="Laravel Http" %}

```php
use Illuminate\Support\Facades\Http;

$api_key = 'YOUR_API_KEY';
$base_url = '{ваш_домен}/api/v2'
$response = Http::baseUrl($base_url)->withToken($api_key)->asJson()
                ->get('/currencies-list')->json();
```

{% endtab %}
{% endtabs %}

**Пример ответа**

{% tabs %}
{% tab title="200" %}

```php
{
    "data":{
        "1":{
            "id":1,
            "type":"currency",
            "attributes":{
                "name":"СберОнлайн",
                "currency_type":"РУБ",
                "payment_name":"СберОнлайн",
                "iso_code":"RUB",
                "letter_cod":"SBERRUB",
                "decimal":2
            }
        }
        /// и т.д...
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iexexchanger.com/guide/copy-of-iexexchanger-api/valyuty-i-napravleniya/spisok-prinimaemykh-valyut.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
